﻿using System.Windows;

using DevExpress.Data;
using DevExpress.Xpf.Grid;

namespace TestProject
{
    /// <summary>
    /// 메인 윈도우
    /// </summary>
    public partial class MainWindow : Window
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 생성자 - MainWindow()

        /// <summary>
        /// 생성자
        /// </summary>
        public MainWindow()
        {
            InitializeComponent();

            this.gridControl.ItemsSource = new AccountList().GetData();

            this.gridControl.GroupBy(this.gridControl.Columns["Married"], ColumnSortOrder.Ascending);
        }

        #endregion

        //////////////////////////////////////////////////////////////////////////////////////////////////// Method
        ////////////////////////////////////////////////////////////////////////////////////////// Private
        //////////////////////////////////////////////////////////////////////////////// Event

        #region 그리드 컨트롤 커스텀 요약 존재 여부 처리하기 - gridControl_CustomSummaryExists(sender, e)

        /// <summary>
        /// 그리드 컨트롤 커스텀 요약 존재 여부 처리하기
        /// </summary>
        /// <param name="sender">이벤트 발생자</param>
        /// <param name="e">이벤트 인자</param>
        private void gridControl_CustomSummaryExists(object sender, CustomSummaryExistEventArgs e)
        {
            e.Exists = e.GroupLevel == 0;
        }

        #endregion

        //////////////////////////////////////////////////////////////////////////////// Function

        #region 그룹 요약 생성하기 - CreateGroupSummary()

        /// <summary>
        /// 그룹 요약 생성하기
        /// </summary>
        private void CreateGroupSummary()
        {
            this.gridControl.GroupSummary.Add
            (
                new GridSummaryItem()
                {
                    FieldName = "Age",
                    SummaryType = SummaryItemType.Min
                }
            );

            this.gridControl.GroupSummary.Add
            (
                new GridSummaryItem()
                {
                    FieldName = "Age",
                    SummaryType = SummaryItemType.Max
                }
            );
        }

        #endregion
    }
}